<?php
/** \brief mAutoPopup Options page
	\file mautopopup-options.php
	\author Christophe SAUVEUR <christophe\@xhaleera.com>
	\version 0.4.3

	This source code is released under the terms of the GNU General Public License version 2.0 or later.
*/

// **
//	Header
// **
?>
<div class="wrap">
<h2><?php _e('mAutoPopup', 'mautopopup'); ?></h2>
<p><?php
	if (empty($__mAutoPopup->storedVersion))
		_e('No version installed.', 'mautopopup');
	else
		printf(__('Current version is %s.', 'mautopopup'), $__mAutoPopup->storedVersion);
?></p>
</div>
<?php
$__mAutoPopup->display_messages();

// **
//	Install form
// **
if (empty($__mAutoPopup->storedVersion) || $__mAutoPopup->compare_versions() < 0)
{
?>
<div class="wrap">
<h2><?php _e('Installation', 'mautopopup'); ?></h2>
<form name="mautopopup_install" action="" method="post">
<?php
	if (empty($__mAutoPopup->storedVersion))
	{
?>
<p><?php _e('mAutoPopup must be installed before any further use.', 'mautopopup'); ?></p>
<input type="hidden" name="form_name" value="mautopopup_install" />
<input type="hidden" name="form_action" value="install" />
<p class="submit"><input type="submit" name="submit" value="<?php _e('Setup mAutoPopup', 'mautopopup'); ?>" /></p>
<?php
	}
	else
	{
?>
<p><?php printf(__('You are currently using mAutoPopup version %s.', 'mautopopup'), $__mAutoPopup->version); ?><br>
<?php printf(__('Yet, your database seems to match a more recent version of the plugin (version %s).', 'mautopopup'), $__mAutoPopup->storedVersion); ?><br>
<br>
<?php _e('You must reinstall mAutoPopup before any further use or get back to a suitable version of the software.', 'mautopopup'); ?><br> 
<strong><?php _e('If you choose to reinstall the plugin, all formerly saved options will be lost.', 'mautopopup'); ?></strong></p>
<input type="hidden" name="form_name" value="mautopopup_install" />
<input type="hidden" name="form_action" value="downgrade" />
<p class="submit"><input type="submit" name="submit" value="<?php _e('Reinstall mAutoPopup', 'mautopopup'); ?>" />
</p>
<?php
	}
?>
</form>
</div>
<?php
	return;
}

// **
//	Upgrade form
// **
if ($__mAutoPopup->compare_versions() > 0)
{
?>
<div class="wrap">
<h2><?php _e('Upgrade', 'mautopopup'); ?></h2>
<form name="mautopopup_upgrade" action="" method="post">
<p><?php printf(__('Before now, you were using version %s of mAutoPopup.', 'mautopopup'), $__mAutoPopup->storedVersion); ?><br>
<?php printf(__('The new installed version is %s and your database must be upgraded before any further use.', 'mautopopup'), $__mAutoPopup->version); ?></p>
<input type="hidden" name="form_name" value="mautopopup_upgrade" />
<input type="hidden" name="form_action" value="upgrade" />
<p class="submit"><input type="submit" name="submit" value="<?php _e('Upgrade mAutoPopup', 'mautopopup'); ?>" /></p>
</form>
</div>
<?php
	return;
}

// **
//	Setup panel
// **
$__mAutoPopup->display_edit_form();

// **
//	Uninstall form
// **
?>
<div class="wrap"></div>
<div class="wrap">
<h2><?php _e('Uninstall', 'mautopopup'); ?></h3>
<form name="mautopopup_uninstall" action="" method="post">
<p><?php _e('Removing mAutoPopup will erase all saved options.', 'mautopopup'); ?><br>
<strong><?php _e('This operation CANNOT be undone.', 'mautopopup'); ?></strong></p>
<input type="hidden" name="form_name" value="mautopopup_uninstall" />
<input type="hidden" name="form_action" value="uninstall" />
<p class="submit"><input type="submit" name="submit" value="<?php _e('Uninstall mAutoPopup', 'mautopopup'); ?>" /></p>
</form>
</div>